Package be.fgov.ehealth.rn.baselegaldata.v1

# Class LocationDeclarationType

java.lang.Object
be.fgov.ehealth.rn.baselegaldata.v1.LocationDeclarationType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public class LocationDeclarationType extends Object implements Serializable
Type describing a Belgian location (BelgianMunicipality). Can be used as a birthplace or decease place.

Java class for LocationDeclarationType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="LocationDeclarationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="CountryCode" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}CountryCodeType" minOccurs="0"/>
               <element name="CountryIsoCode" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}CountryCodeISO3166Type" minOccurs="0"/>
             </choice>
             <element name="CountryName" type="{urn:be:fgov:ehealth:rn:commons:business:v1}LocalizedDescriptionType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="CityCode" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}CityCodeType" minOccurs="0"/>
             <element name="CityName" type="{urn:be:fgov:ehealth:rn:commons:business:v1}LocalizedDescriptionType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LocationDeclarationType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCityCode()`
  Gets the value of the cityCode property.
  `List<LocalizedDescriptionType>`
  `getCityNames()`
  Gets the value of the cityNames property.
  `Integer`
  `getCountryCode()`
  Gets the value of the countryCode property.
  `String`
  `getCountryIsoCode()`
  Gets the value of the countryIsoCode property.
  `List<LocalizedDescriptionType>`
  `getCountryNames()`
  Gets the value of the countryNames property.
  `void`
  `setCityCode(String value)`
  Sets the value of the cityCode property.
  `void`
  `setCountryCode(Integer value)`
  Sets the value of the countryCode property.
  `void`
  `setCountryIsoCode(String value)`
  Sets the value of the countryIsoCode property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LocationDeclarationType

    public LocationDeclarationType()

- ## Method Details

  - ### getCountryIsoCode

    public String getCountryIsoCode()
    Gets the value of the countryIsoCode property.
    Returns:
      possible object is `String`

  - ### setCountryIsoCode

    public void setCountryIsoCode(String value)
    Sets the value of the countryIsoCode property.
    Parameters:
      `value` - allowed object is `String`

  - ### getCountryCode

    public Integer getCountryCode()
    Gets the value of the countryCode property.
    Returns:
      possible object is `Integer`

  - ### setCountryCode

    public void setCountryCode(Integer value)
    Sets the value of the countryCode property.
    Parameters:
      `value` - allowed object is `Integer`

  - ### getCountryNames

    public List<LocalizedDescriptionType> getCountryNames()
    Gets the value of the countryNames property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the countryNames property.

    For example, to add a new item, do as follows:

         getCountryNames().add(newItem);

    Objects of the following type(s) are allowed in the list `LocalizedDescriptionType`

    Returns:
      The value of the countryNames property.

  - ### getCityCode

    public String getCityCode()
    Gets the value of the cityCode property.
    Returns:
      possible object is `String`

  - ### setCityCode

    public void setCityCode(String value)
    Sets the value of the cityCode property.
    Parameters:
      `value` - allowed object is `String`

  - ### getCityNames

    public List<LocalizedDescriptionType> getCityNames()
    Gets the value of the cityNames property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cityNames property.

    For example, to add a new item, do as follows:

         getCityNames().add(newItem);

    Objects of the following type(s) are allowed in the list `LocalizedDescriptionType`

    Returns:
      The value of the cityNames property.